package com.gyee.viewticket.service.impl.ticket;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.viewticket.config.ServerConfig;
import com.gyee.viewticket.model.ticket.Equoperationrecord;
import com.gyee.viewticket.mapper.ticket.EquoperationrecordMapper;
import com.gyee.viewticket.service.ticket.EquoperationrecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author admin
 * @since 2021-07-05
 */
@Service
public class EquoperationrecordServiceImpl extends ServiceImpl<EquoperationrecordMapper, Equoperationrecord> implements EquoperationrecordService {

    private static final Logger log = LoggerFactory.getLogger(EquoperationrecordServiceImpl.class);
    @Autowired
    private EquoperationrecordMapper equoperationrecordMapper;
    @Autowired
    private ServerConfig serverConfig;

    @Override
    public IPage<Map> getEquoperationrecordPageList(Page page, String startTime, String endTime, String wtid,String type) {
        IPage<Map> list =  equoperationrecordMapper.selectEquoperationrecordPageList(page,startTime,endTime,wtid,type);
        return list;
    }

    @Override
    public List<Map> getEquoperationrecordTope(String stId) throws Exception{
        String url = serverConfig.getUrl()+"/img/";
        log.info(url);
        List<Map> maps = new ArrayList<>();
       List<Map> list =  equoperationrecordMapper.selectEquoperationrecordTop4(stId);
        for (Map e: list) {
            Map map = new HashMap();
            map.put("id",e.get("id"));
            map.put("starttime",e.get("starttime"));
            map.put("endtime",e.get("endtime"));
            map.put("type",e.get("type"));
            map.put("tolocdes",e.get("tolocdes"));
            map.put("problem",e.get("problem"));
            map.put("solveway",e.get("solveway"));
            if(null == e.get("labornum") || "".equals(e.get("labornum"))){
                map.put("imgurl","");
            }else {
                String labornum = e.get("labornum").toString().toLowerCase();
                map.put("imgurl",url+labornum+".jpg");
            }
            map.put("labornum",e.get("labornum"));
            map.put("laborname",e.get("laborname"));
            map.put("jobcode",e.get("jobcode"));
            map.put("employeetype",e.get("employeetype"));
            map.put("ticketnum",e.get("ticketnum"));
            map.put("wfshortname",e.get("wfshortname"));
            map.put("wfname",e.get("wfname"));
            maps.add(map);
        }
        return maps;
    }


}
